org.apache.xmlbeans.impl.tool

## Interface SchemaImportResolver.SchemaResource

Enclosing class:
  SchemaImportResolver

    public static interface SchemaImportResolver.SchemaResource

Used to supply a schema resource with an optional associated expected-namespace-URI and original-location-URL. The equals (and hashCode) implementations of the SchemaResource objects will be used to avoid examining the same resource twice; these must be implemented according to the desired rules for determining that two resources are the same.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getNamespace()`
`SchemaDocument.Schema` `getSchema()` Returns a parsed schema object.
`String` `getSchemaLocation()`

### Method Detail

#### getSchema

    SchemaDocument.Schema getSchema()

Returns a parsed schema object.

#### getNamespace

    String getNamespace()

#### getSchemaLocation

    String getSchemaLocation()